#include <iostream>

int main() {
    std::string t, s;
    std::cin >> t;
    std::cin >> s;

    int j = 0;
    std::string q;
    int p = -1;
    int k = -1;
    int a[s.length()];
    a[0] = 0;
    for (int i = 0; i < t.length(); i++) {
        if (t[i] == s[j]) {
            if (q.empty()) {
                p = i;
                q += s[j];
            }

            a[j]++;
        } else if (t[i] == s[j + 1]) {
            j++;
            q += s[j];
            a[j] = 1;
        } else {
            j = 0;
            a[j] = 0;
        }

        if (q == s) {
            k = i;
            break;
        }
    }

    int minI = 0;

    for (int i = 1; i < s.length(); i++) {
        if (a[i] < a[minI]) {
            minI = i;
        }
    }

    int min = a[minI];

    for (int i = p; i <= k && a[minI] > 0; i++) {
        if (t[i] == s[minI]) {
            min--;
            t[i] = '*';
        }
    }

    std::cout << a[minI] << std::endl;
    std::cout << t << std::endl;

    return 0;
}